Page MenuHomePhabricator

Suppression log filtered by "offender", as Oversight log can be.
Closed, ResolvedPublic

Description

Author: FT2.wiki

Description:
With Oversight, one can look at the log by Oversighter, by Offender (user or IP whose edit got oversighted) or page (page that was oversighted).

RevDeleted log (and page logs such as deletion) only allow one to review the log by the Oversighter and page, not offender. So one can't easily look up what else the offender may have had suppressed, and the link from user contribs to deleted and oversigthed contribs is not matched by a link to suppressed contribs.

As we continue to use RevDel more, can this be fixed?


Version: unspecified
Severity: enhancement

Details

Reference
bz18472

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:30 PM
bzimport set Reference to bz18472.
aaron added a comment.Apr 17 2009, 5:56 AM

This can be done with the proposed log_search table, which will also fully handle the log filtering issue. Shouldn't be too long before this is done...

mike.lifeguard+bugs wrote:

(In reply to comment #1)

This can be done with the proposed log_search table, which will also fully
handle the log filtering issue. Shouldn't be too long before this is done...

Was this applied with the latest set of schema changes? http://wikitech.wikimedia.org/view/Schema_changes shows that patch-log_search.sql was applied to all wikis - I assume that's accurate.

aaron added a comment.Sep 14 2009, 5:10 PM

Done in r56312.

Restricted Application added a subscriber: JEumerus. · View Herald TranscriptAug 5 2016, 2:26 PM